MaMo Net



#1 23.10.2010, 12:48
Philipp Abwesend
Moderator
Dabei seit: 11.12.2004
Beiträge: 458


Betreff: Update
Hallo,

ich suche ein Paket mit Update Script da ich gerne wissen würde wie das aussehen muss.

lg
Philipp
Philipp
Gast ich seh dich Cool
↑  ↓

#2 26.10.2010, 17:18
MaMo Abwesend
Administrator
Dabei seit: 06.04.2004
Beiträge: 2.675


Betreff: Re: Update
Hi,

ein wirklich großes Script mit Updatefunktionalität gibt es nicht, du kannst nur die Pakete im Paketmanager mal durchschauen. Alle Pakete mit Versionen ungleich 0.8 sollten in irgendeiner Art und Weise Updates beinhalten.
Matthias M.
=> Support nur per Forum - dann haben alle etwas davon!
↑  ↓

#3 26.10.2010, 17:57
Philipp Abwesend
Moderator
Dabei seit: 11.12.2004
Beiträge: 458


Betreff: Re: Update
Hey,

ich will halt von meinem Plugin die neue Version installieren. Nicht die Viscacha Version. Und da kamm halt die Fehlermeldung das kein Update Informationen da wären.

Geht um die Shoutbox für Portal und Forum.

lg
philipp
Philipp
Gast ich seh dich Cool
↑  ↓

#4 03.07.2011, 22:57
cypher2020 Abwesend
Mitglied
Dabei seit: 27.03.2010
Beiträge: 23


Betreff: Re: Update
Hm, ich wärme ungern uralte Themen auf, aber irgendwie verstehe ich das Paketupdate auch noch nicht so ganz ...

Für die v0.2 meiner Facebook Kommentare habe ich in der plugin.ini Folgendes ergänzt:
switch Spoiler:


Leider erscheint dann aber in der Paket-Verwaltung immer folgende Fehlermeldung. Das Script an sich wird aber aktualisiert und funktioniert auch.
Zitat:
Notice: Undefined index: update_init in /homepages/30/d33411296/htdocs/viscacha/admin/packages.php on line 1456

Naja nur warum erschließt sich mir nicht so wirklich ... :-S

Mit freundlichen Grüßen, Frank
↑  ↓

#5 24.07.2011, 19:07
MaMo Abwesend
Administrator
Dabei seit: 06.04.2004
Beiträge: 2.675


Betreff: Re: Update
Hi,

in Zeile 13 muss statt der 1 in jedem Fall der Name der Datei stehen, die das Update ausführen soll, d.h. wo der Code für das Update enthalten ist, kann ggf. auch eine leere Datei sein.

Ansonsten schaut es so aus, als ob die plugin.ini des Pakets auf dem Server nicht vollständig ist, unter required scheint der Eintrag für update_init zu fehlen.

Gruß
MaMo
Matthias M.
=> Support nur per Forum - dann haben alle etwas davon!
Dieser Beitrag wurde 2 mal editiert, das letzte Mal am 24.07.2011, 19:08 von MaMo. ↑  ↓

#6 25.07.2011, 06:01
cypher2020 Abwesend
Mitglied
Dabei seit: 27.03.2010
Beiträge: 23


Betreff: Re: Update
Morgen!

Meinst in dem Sinne, dass in Zeile 13 z.B. ein Updatescript aufgerufen werden kann, dass Datei- oder DB-Operationen ausführt? Ich nehm mal an, diese Datei muss sich dann im zip-File befinden?!

Mit freundlichen Grüßen, Frank
↑  ↓

#7 30.07.2011, 12:44
MaMo Abwesend
Administrator
Dabei seit: 06.04.2004
Beiträge: 2.675


Betreff: Re: Update
Ja, korrekt!
Matthias M.
=> Support nur per Forum - dann haben alle etwas davon!
↑  ↓

Seiten (1): 1


Alle Zeitangaben in GMT +01:00. Aktuelle Uhrzeit: 04:42.